package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyLqmxxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyLqmxxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andLqidIsNull() {
            addCriterion("LQID is null");
            return (Criteria) this;
        }

        public Criteria andLqidIsNotNull() {
            addCriterion("LQID is not null");
            return (Criteria) this;
        }

        public Criteria andLqidEqualTo(String value) {
            addCriterion("LQID =", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotEqualTo(String value) {
            addCriterion("LQID <>", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidGreaterThan(String value) {
            addCriterion("LQID >", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidGreaterThanOrEqualTo(String value) {
            addCriterion("LQID >=", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLessThan(String value) {
            addCriterion("LQID <", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLessThanOrEqualTo(String value) {
            addCriterion("LQID <=", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidLike(String value) {
            addCriterion("LQID like", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotLike(String value) {
            addCriterion("LQID not like", value, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidIn(List<String> values) {
            addCriterion("LQID in", values, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotIn(List<String> values) {
            addCriterion("LQID not in", values, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidBetween(String value1, String value2) {
            addCriterion("LQID between", value1, value2, "lqid");
            return (Criteria) this;
        }

        public Criteria andLqidNotBetween(String value1, String value2) {
            addCriterion("LQID not between", value1, value2, "lqid");
            return (Criteria) this;
        }

        public Criteria andSxhIsNull() {
            addCriterion("SXH is null");
            return (Criteria) this;
        }

        public Criteria andSxhIsNotNull() {
            addCriterion("SXH is not null");
            return (Criteria) this;
        }

        public Criteria andSxhEqualTo(Short value) {
            addCriterion("SXH =", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotEqualTo(Short value) {
            addCriterion("SXH <>", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThan(Short value) {
            addCriterion("SXH >", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThanOrEqualTo(Short value) {
            addCriterion("SXH >=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThan(Short value) {
            addCriterion("SXH <", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThanOrEqualTo(Short value) {
            addCriterion("SXH <=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhIn(List<Short> values) {
            addCriterion("SXH in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotIn(List<Short> values) {
            addCriterion("SXH not in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhBetween(Short value1, Short value2) {
            addCriterion("SXH between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotBetween(Short value1, Short value2) {
            addCriterion("SXH not between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("CJSJ is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("CJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterion("CJSJ =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterion("CJSJ <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterion("CJSJ >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CJSJ >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterion("CJSJ <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterion("CJSJ <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterion("CJSJ in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterion("CJSJ not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterion("CJSJ between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterion("CJSJ not between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("HWBM is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("HWBM is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("HWBM =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("HWBM <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("HWBM >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("HWBM >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("HWBM <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("HWBM <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("HWBM like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("HWBM not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("HWBM in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("HWBM not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("HWBM between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("HWBM not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andCwgbmIsNull() {
            addCriterion("CWGBM is null");
            return (Criteria) this;
        }

        public Criteria andCwgbmIsNotNull() {
            addCriterion("CWGBM is not null");
            return (Criteria) this;
        }

        public Criteria andCwgbmEqualTo(String value) {
            addCriterion("CWGBM =", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmNotEqualTo(String value) {
            addCriterion("CWGBM <>", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmGreaterThan(String value) {
            addCriterion("CWGBM >", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmGreaterThanOrEqualTo(String value) {
            addCriterion("CWGBM >=", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmLessThan(String value) {
            addCriterion("CWGBM <", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmLessThanOrEqualTo(String value) {
            addCriterion("CWGBM <=", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmLike(String value) {
            addCriterion("CWGBM like", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmNotLike(String value) {
            addCriterion("CWGBM not like", value, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmIn(List<String> values) {
            addCriterion("CWGBM in", values, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmNotIn(List<String> values) {
            addCriterion("CWGBM not in", values, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmBetween(String value1, String value2) {
            addCriterion("CWGBM between", value1, value2, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwgbmNotBetween(String value1, String value2) {
            addCriterion("CWGBM not between", value1, value2, "cwgbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmIsNull() {
            addCriterion("CWDBM is null");
            return (Criteria) this;
        }

        public Criteria andCwdbmIsNotNull() {
            addCriterion("CWDBM is not null");
            return (Criteria) this;
        }

        public Criteria andCwdbmEqualTo(String value) {
            addCriterion("CWDBM =", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmNotEqualTo(String value) {
            addCriterion("CWDBM <>", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmGreaterThan(String value) {
            addCriterion("CWDBM >", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmGreaterThanOrEqualTo(String value) {
            addCriterion("CWDBM >=", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmLessThan(String value) {
            addCriterion("CWDBM <", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmLessThanOrEqualTo(String value) {
            addCriterion("CWDBM <=", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmLike(String value) {
            addCriterion("CWDBM like", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmNotLike(String value) {
            addCriterion("CWDBM not like", value, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmIn(List<String> values) {
            addCriterion("CWDBM in", values, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmNotIn(List<String> values) {
            addCriterion("CWDBM not in", values, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmBetween(String value1, String value2) {
            addCriterion("CWDBM between", value1, value2, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdbmNotBetween(String value1, String value2) {
            addCriterion("CWDBM not between", value1, value2, "cwdbm");
            return (Criteria) this;
        }

        public Criteria andCwdXIsNull() {
            addCriterion("CWD_X is null");
            return (Criteria) this;
        }

        public Criteria andCwdXIsNotNull() {
            addCriterion("CWD_X is not null");
            return (Criteria) this;
        }

        public Criteria andCwdXEqualTo(String value) {
            addCriterion("CWD_X =", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXNotEqualTo(String value) {
            addCriterion("CWD_X <>", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXGreaterThan(String value) {
            addCriterion("CWD_X >", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXGreaterThanOrEqualTo(String value) {
            addCriterion("CWD_X >=", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXLessThan(String value) {
            addCriterion("CWD_X <", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXLessThanOrEqualTo(String value) {
            addCriterion("CWD_X <=", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXLike(String value) {
            addCriterion("CWD_X like", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXNotLike(String value) {
            addCriterion("CWD_X not like", value, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXIn(List<String> values) {
            addCriterion("CWD_X in", values, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXNotIn(List<String> values) {
            addCriterion("CWD_X not in", values, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXBetween(String value1, String value2) {
            addCriterion("CWD_X between", value1, value2, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdXNotBetween(String value1, String value2) {
            addCriterion("CWD_X not between", value1, value2, "cwdX");
            return (Criteria) this;
        }

        public Criteria andCwdYIsNull() {
            addCriterion("CWD_Y is null");
            return (Criteria) this;
        }

        public Criteria andCwdYIsNotNull() {
            addCriterion("CWD_Y is not null");
            return (Criteria) this;
        }

        public Criteria andCwdYEqualTo(String value) {
            addCriterion("CWD_Y =", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYNotEqualTo(String value) {
            addCriterion("CWD_Y <>", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYGreaterThan(String value) {
            addCriterion("CWD_Y >", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYGreaterThanOrEqualTo(String value) {
            addCriterion("CWD_Y >=", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYLessThan(String value) {
            addCriterion("CWD_Y <", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYLessThanOrEqualTo(String value) {
            addCriterion("CWD_Y <=", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYLike(String value) {
            addCriterion("CWD_Y like", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYNotLike(String value) {
            addCriterion("CWD_Y not like", value, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYIn(List<String> values) {
            addCriterion("CWD_Y in", values, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYNotIn(List<String> values) {
            addCriterion("CWD_Y not in", values, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYBetween(String value1, String value2) {
            addCriterion("CWD_Y between", value1, value2, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdYNotBetween(String value1, String value2) {
            addCriterion("CWD_Y not between", value1, value2, "cwdY");
            return (Criteria) this;
        }

        public Criteria andCwdZIsNull() {
            addCriterion("CWD_Z is null");
            return (Criteria) this;
        }

        public Criteria andCwdZIsNotNull() {
            addCriterion("CWD_Z is not null");
            return (Criteria) this;
        }

        public Criteria andCwdZEqualTo(String value) {
            addCriterion("CWD_Z =", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZNotEqualTo(String value) {
            addCriterion("CWD_Z <>", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZGreaterThan(String value) {
            addCriterion("CWD_Z >", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZGreaterThanOrEqualTo(String value) {
            addCriterion("CWD_Z >=", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZLessThan(String value) {
            addCriterion("CWD_Z <", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZLessThanOrEqualTo(String value) {
            addCriterion("CWD_Z <=", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZLike(String value) {
            addCriterion("CWD_Z like", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZNotLike(String value) {
            addCriterion("CWD_Z not like", value, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZIn(List<String> values) {
            addCriterion("CWD_Z in", values, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZNotIn(List<String> values) {
            addCriterion("CWD_Z not in", values, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZBetween(String value1, String value2) {
            addCriterion("CWD_Z between", value1, value2, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCwdZNotBetween(String value1, String value2) {
            addCriterion("CWD_Z not between", value1, value2, "cwdZ");
            return (Criteria) this;
        }

        public Criteria andCfcwzIsNull() {
            addCriterion("CFCWZ is null");
            return (Criteria) this;
        }

        public Criteria andCfcwzIsNotNull() {
            addCriterion("CFCWZ is not null");
            return (Criteria) this;
        }

        public Criteria andCfcwzEqualTo(BigDecimal value) {
            addCriterion("CFCWZ =", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzNotEqualTo(BigDecimal value) {
            addCriterion("CFCWZ <>", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzGreaterThan(BigDecimal value) {
            addCriterion("CFCWZ >", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CFCWZ >=", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzLessThan(BigDecimal value) {
            addCriterion("CFCWZ <", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CFCWZ <=", value, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzIn(List<BigDecimal> values) {
            addCriterion("CFCWZ in", values, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzNotIn(List<BigDecimal> values) {
            addCriterion("CFCWZ not in", values, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFCWZ between", value1, value2, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andCfcwzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CFCWZ not between", value1, value2, "cfcwz");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}